namespace HegreHotel.Models;

using SQLite;

public class Reservation
{
    [PrimaryKey, AutoIncrement]
    public int Id { get; set; }

    public DateTime DateDebut { get; set; }

    public DateTime DateFin { get; set; }

    public string? Demandes { get; set; }

    // Navigation properties (ignorées dans SQLite)
    
    [Indexed]
    public int ClientId { get; set; }

    [Indexed]
    public int ChambreId { get; set; }
    
    [Ignore]
    public Client Client { get; set; }

    [Ignore]
    public Chambre Chambre { get; set; }
}
